Skip to main content
DELETE
/
credit-notes
/
{creditnote}
/
line-items
/
{id}
Delete a Credit Note Line Item
curl --request DELETE \
  --url https://eu.sequencehq.com/api/credit-notes/{creditnote}/line-items/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/credit-notes/{creditnote}/line-items/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/credit-notes/{creditnote}/line-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "af60cab3-812d-4250-a051-0fb7133a00c7",
  "creditNoteId": "af60cab3-812d-4250-a051-0fb7133a00c7",
  "groupId": "cd11218d-fa00-4faa-8684-a43113d076a8",
  "lineItemId": "af60cab3-812d-4250-a051-0fb7133a00c7",
  "title": "Ferraris",
  "description": "Red",
  "quantity": "2",
  "rate": "20000.10",
  "taxRate": "0.2",
  "index": 2,
  "priceId": "fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95",
  "netTotal": "20000.00",
  "totalTax": "2000.00",
  "grossTotal": "22000.00",
  "rateDisplay": "ABSOLUTE",
  "externalIds": [
    {
      "key": "Xero",
      "value": "123"
    }
  ]
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

creditnote
string
required

The CreditNote ID

id
string
required

Credit Note Line Item ID

Response

OK

id
string
required

Credit Note Line Item ID

Example:

"af60cab3-812d-4250-a051-0fb7133a00c7"

creditNoteId
string
required

Credit Note Line Item ID

Example:

"af60cab3-812d-4250-a051-0fb7133a00c7"

title
string
required

Item Title

Example:

"Ferraris"

quantity
string
required

Quantity

Example:

"2"

rate
string
required

Rate per Item

Example:

"20000.10"

taxRate
string
required

Tax Rate

Example:

"0.2"

index
integer
required

Index (for maintaining order)

Example:

2

netTotal
string
required

Net Total

Example:

"20000.00"

totalTax
string
required

Total Tax

Example:

"2000.00"

grossTotal
string
required

Gross Total

Example:

"22000.00"

rateDisplay
enum<string>
required

Determines whether rate is displayed as an absolute value or percentage

Available options:
ABSOLUTE,
PERCENTAGE
Example:

"ABSOLUTE"

externalIds
object[]
required

IDs in external integrations

Example:
[{ "key": "Xero", "value": "123" }]
groupId
string

Credit Note Line Item Group ID

Example:

"cd11218d-fa00-4faa-8684-a43113d076a8"

lineItemId
string

Line Item ID

Example:

"af60cab3-812d-4250-a051-0fb7133a00c7"

description
string

Item Description

Example:

"Red"

priceId
string

Price ID

Example:

"fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95"